import { IsUUID } from 'class-validator';

import { GameDTO } from '../game/game.dto';
import { GameEntity, Game_PersonEntity } from '../game/game.entity';
import { FactionEntity } from '../faction/faction.entity';
import { FactionDTO } from '../faction/faction.dto';
import { MapDrawingEntity } from '../draw/coordinate.entity';

export class MapDrawingDTO {
  data: JSON;
  gameId: GameDTO;
  faction?: FactionDTO;
  isActive?: boolean;
  validUntil?: string;
}

export class DrawMapDTO {
  @IsUUID('4')
  mapDrawingId: MapDrawingEntity;

  gameId: GameEntity;
  factionId: FactionEntity;

  gamepersonId: Game_PersonEntity;
  data: JSON;
}
