import {
  PrimaryGeneratedColumn,
  Column,
  Entity,
  ManyToOne,
  JoinColumn,
} from 'typeorm';

import { FactionEntity } from '../faction/faction.entity';
import { GameEntity } from '../game/game.entity';

@Entity('Task')
export class TaskEntity {
  @PrimaryGeneratedColumn('uuid') taskId: string;
  @Column({ type: 'text' }) taskName: string;
  @Column({ type: 'text' }) taskDescription: string;
  @Column({ type: 'bool' }) taskIsActive: boolean;

  @ManyToOne(type => FactionEntity, faction => faction.factionId)
  faction: FactionEntity;
  @ManyToOne(type => FactionEntity, faction => faction.factionId)
  taskWinner: FactionEntity;
  @ManyToOne(type => GameEntity, game => game.id)
  @JoinColumn({ name: 'taskGame' })
  taskGame: GameEntity;
}
